#
# Conditional build:
%bcond_without	xspice	# xspice driver
#
Summary:	X.org video driver for QXL virtual GPU
Summary(pl.UTF-8):	Sterownik obrazu X.org dla wirtualnych procesorów graficznych QXL
Name:		xorg-driver-video-qxl
Version:	0.1.1
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-qxl-%{version}.tar.bz2
# Source0-md5:	39f0721e83bc3bb2aba5c0379616ddbc
Patch0:		%{name}-cast.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libdrm-devel >= 2.4.46
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	spice-protocol >= 0.12.0
%{?with_xspice:BuildRequires:	spice-server-devel >= 0.6.3}
BuildRequires:	udev-devel
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.10.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xf86dgaproto-devel
BuildRequires:	xorg-util-util-macros >= 1.4
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-lib-libpciaccess >= 0.10.0
Requires:	xorg-xserver-server >= 1.0.99.901
Provides:	xorg-driver-video
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for QXL virtual GPU, which can be found in the
RedHat Enterprise Virtualisation system, and also in the spice
project.

%description -l pl.UTF-8
Sterownik obrazu X.org dla wirtualnych procesorów graficznych QXL,
które można znaleźć w systemie RedHat Enterprise Virtualisation oraz w
projekcie spice.

%package -n spice-xserver
Summary:	Xspice - X server and Spice server in one
Summary(pl.UTF-8):	Xspice - serwer X oraz serwer Spice w jednym
Group:		X11/Applications
Requires:	spice-server-libs >= 0.6.3
Requires:	xorg-xserver-server >= 1.0.99.901

%description -n spice-xserver
Xspice is an X server and Spice server in one. It consists of a
wrapper script for executing Xorg with the right parameters and
environment variables, a module named spiceqxl_drv.so implementing
three drivers: a video mostly code identical to the guest qxl X
driver, and keyboard and mouse reading from the spice inputs channel.

Xspice allows regular X connections, while a spice client provides the
keyboard and mouse and video output.

%description -n spice-xserver -l pl.UTF-8
Xspice to serwer X i serwer Spice w jednym. Składa się ze skryptu
wywołującego Xorg z właściwymi parametrami i zmiennymi środowiskowymi,
oraz modułu o nazwie spiceqxl_drv.so implementującego trzy sterowniki:
graficzny oparty na kodzie prawie identycznym ze sterownikiem X gościa
qxl, oraz klawiatury i myszy szytające z kanału wejćiowego spice.

Xspice pozwala na normalne połączenia X, podczas gdy klient spice
udostępnia wejście klawiatury i myszy oraz wyjście obrazu.

%prep
%setup -q -n xf86-video-qxl-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_xspice:--enable-xspice}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README TODO
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/qxl_drv.so

%if %{with xspice}
%files -n spice-xserver
%defattr(644,root,root,755)
%doc README.xspice examples/spiceqxl.xorg.conf.example
%attr(755,root,root) %{_bindir}/Xspice
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/spiceqxl_drv.so
%endif
%changelog
* Mon Oct 21 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-video-qxl.git;a=log;h=master

* Sun Oct 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 04e891f
- updated to 0.1.1
- added cast patch (fixes build on archs with 32-bit pointer)

* Fri Sep 21 2012 Jakub Bogusz <qboosh@pld-linux.org> 0f1f4e0
- updated to 0.1.0
- removed obsolete cast patch

* Fri Mar 16 2012 Jakub Bogusz <qboosh@pld-linux.org> b221d1d
- updated to 0.0.17
- added cast patch (a hack to avoid gcc warning with -Werror)

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 18f933e
- release 3

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> c43bac1
- xorg-driver-video virtual for video drivers
- release 2

* Tue Jul 26 2011 Jakub Bogusz <qboosh@pld-linux.org> 483d9bf
- added spice-xserver package

* Mon Jul 25 2011 Jakub Bogusz <qboosh@pld-linux.org> ed4573e
- up to 0.0.16
- removed obsolete spice patch

* Fri Jul 15 2011 Jakub Bogusz <qboosh@pld-linux.org> c22b2c8
- updated to 0.0.14
- added temporary spice patch (needed for 0.8.0)

* Wed Jan 26 2011 Jakub Bogusz <qboosh@pld-linux.org> 997146d
- new

